import request from '@/utils/request'

// 查询生产管理列表
export function listOutput(query) {
  return request({
    url: '/pms/output/list',
    method: 'get',
    params: query
  })
}

// 查询生产管理详细
export function getOutput(id) {
  return request({
    url: '/pms/output/' + id,
    method: 'get'
  })
}
// 查询生产管理详细
export function getOutputInfo(id) {
  return request({
    url: '/pms/output/getOutputInfo/' + id,
    method: 'get'
  })
}

// 新增生产管理
export function addOutput(data) {
  return request({
    url: '/pms/output',
    method: 'post',
    data: data
  })
}

// 修改生产管理
export function updateOutput(data) {
  return request({
    url: '/pms/output',
    method: 'put',
    data: data
  })
}

// 删除生产管理
export function delOutput(id) {
  return request({
    url: '/pms/output/' + id,
    method: 'delete'
  })
}


// 生产任务单下发
export function sendTask(data) {
  return request({
    url: '/pms/output/sendTask',
    method: 'post',
    data: data
  })
}